Bug 1680494 - Octavia can lose access to barbican secrets if they are re-used
Summary: Octavia can lose access to barbican secrets if they are re-used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-octavia
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z6
: 13.0 (Queens)
Assignee: Nir Magnezi
QA Contact: Bruna Bonguardo
URL:
Whiteboard:
Depends On: 1569129 1698860
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-25 07:56 UTC by Nir Magnezi
Modified: 2019-09-24 10:25 UTC (History)
11 users (show)

Fixed In Version: openstack-octavia-2.0.3-3.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, Octavia revoked access to secrets automatically whenever load balancing resources no longer required access to them. With this update, Octavia no longer revokes access to secrets automatically.
Clone Of:
Environment:
Last Closed: 2019-07-10 13:01:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack Storyboard 2005041 None None None 2019-02-25 07:56:55 UTC
OpenStack gerrit 639020 None MERGED Fix the loss of access to barbican secrets 2020-03-23 23:48:17 UTC
Red Hat Product Errata RHBA-2019:1744 None None None 2019-07-10 13:02:16 UTC

Description Nir Magnezi 2019-02-25 07:56:55 UTC
Description of problem:
=======================
The fix[1] for bug 1569129 (which we backported to OSP13 as a downstream-only backport) introduced a capability to Octavia in which it will automatically revoke access to secrets that are no longer used by any Octavia listener.

An upstream StoryBoard[2] reported the following:
=================================================
If a barbican secret is used by multiple listeners, one as the default container ID and one as an SNI container reference, when either one of those listeners are deleted the "unset_acls" call we be made on the container reference.

This can lead to Octavia losing valid access to the container.
Also, the code as it is written is not thread safe.


At the time of reporting this bug, a fix[3] was already merged into upstream master (Stein) and proposed[4] to stable/rocky.
We will need to downstream-backport this to OSP13 since the original patch[1], as mentioned above, was a downstream-only backport as well.

Version-Release number of selected component (if applicable):
=============================================================
OSP13


[1] https://review.openstack.org/#/c/552549/13/releasenotes/notes/add-ability-setting-barbican-acls-85f36747d4284035.yaml@6
[2] https://storyboard.openstack.org/#!/story/2005041
[3] https://review.openstack.org/#/c/637646/
[4] https://review.openstack.org/#/c/639020/

Comment 18 errata-xmlrpc 2019-07-10 13:01:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1744


Note You need to log in before you can comment on or make changes to this bug.